VTK: vtkModelMetadata Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkModelMetadata Class Reference

This class encapsulates the metadata that appear in mesh-based file formats but do not appear in vtkUnstructuredGrid. More...

`#include <vtkModelMetadata.h>`

Inheritance diagram for vtkModelMetadata:
[legend]
Collaboration diagram for vtkModelMetadata:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkModelMetadata * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintGlobalInformation ()
| The global fields are those which pertain to the whole file. More...
virtual void | PrintLocalInformation ()
| The local fields are those which depend on exactly which blocks, which time step, and which variables you read in from the file. More...
void | SetInformationLines (int numLines, char **lines)
| Set the information lines. More...
int | GetInformationLines (char ***lines) const
| Get a pointer to all the information lines. More...
int | GetNumberOfInformationLines () const
| Get the number of information lines. More...
void | SetTimeSteps (int numberOfTimeSteps, float *timeStepValues)
| Set the total number of time steps in the file, and the value at each time step. More...
int | GetNumberOfTimeSteps () const
float * | GetTimeStepValues () const
| Get the time step values. More...
void | SetCoordinateNames (int dimension, char **)
| The name of the one, two or three coordinate dimensions. More...
char ** | GetCoordinateNames () const
int | GetDimension () const
| Get the dimension of the model. More...
void | SetBlockIds (int *)
| An arbitrary integer ID for each block. More...
int * | GetBlockIds () const
void | SetBlockElementType (char **)
| Element type for each block - a name that means something to person who created the file. More...
char ** | GetBlockElementType () const
int | SetBlockNumberOfElements (int *nelts)
| Set or get a pointer to a list of the number of elements in each block. More...
int * | GetBlockNumberOfElements () const
void | SetBlockNodesPerElement (int *)
| Set or get a pointer to a list of the number of nodes in the elements of each block. More...
int * | GetBlockNodesPerElement () const
void | SetBlockElementIdList (int *)
| Set or get a pointer to a list global element IDs for the elements in each block. More...
int * | GetBlockElementIdList () const
int | GetSumElementsPerBlock () const
| Get the length of the list of elements in every block. More...
int * | GetBlockElementIdListIndex () const
| Get a list of the index into the BlockElementIdList of the start of each block's elements. More...
int | SetBlockNumberOfAttributesPerElement (int *natts)
| Set or get a pointer to a list of the number of attributes stored for the elements in each block. More...
int * | GetBlockNumberOfAttributesPerElement () const
void | SetBlockAttributes (float *)
| Set or get a pointer to a list of the attributes for all blocks. More...
float * | GetBlockAttributes () const
int | GetSizeBlockAttributeArray () const
| Get the length of the list of floating point block attributes. More...
int * | GetBlockAttributesIndex () const
| Get a list of the index into the BlockAttributes of the start of each block's element attribute list. More...
void | SetNodeSetNames (vtkStringArray *names)
vtkStringArray * | GetNodeSetNames () const
void | SetNodeSetIds (int *)
| Set or get the list the IDs for each node set. More...
int * | GetNodeSetIds () const
void | SetNodeSetSize (int *)
| Set or get a pointer to a list of the number of nodes in each node set. More...
int * | GetNodeSetSize () const
void | SetNodeSetNodeIdList (int *)
| Set or get a pointer to a concatenated list of the IDs of all nodes in each node set. More...
int * | GetNodeSetNodeIdList () const
void | SetNodeSetNumberOfDistributionFactors (int *)
| Set or get a list of the number of distribution factors stored by each node set. More...
int * | GetNodeSetNumberOfDistributionFactors () const
void | SetNodeSetDistributionFactors (float *)
| Set or get a list of the distribution factors for the node sets. More...
float * | GetNodeSetDistributionFactors () const
int | GetSumDistFactPerNodeSet () const
| Get the total number of distribution factors stored for all node sets. More...
int * | GetNodeSetNodeIdListIndex () const
| Get a list of the index of the starting entry for each node set in the list of node set node IDs. More...
int * | GetNodeSetDistributionFactorIndex () const
| Get a list of the index of the starting entry for each node set in the list of node set distribution factors. More...
void | SetSideSetNames (vtkStringArray *names)
vtkStringArray * | GetSideSetNames () const
void | SetSideSetIds (int *)
| Set or get a pointer to a list giving the ID of each side set. More...
int * | GetSideSetIds () const
int | SetSideSetSize (int *sizes)
| Set or get a pointer to a list of the number of sides in each side set. More...
int * | GetSideSetSize () const
int | SetSideSetNumberOfDistributionFactors (int *df)
| Set or get a pointer to a list of the number of distribution factors stored by each side set. More...
int * | GetSideSetNumberOfDistributionFactors () const
void | SetSideSetElementList (int *)
| Set or get a pointer to a list of the elements containing each side in each side set. More...
int * | GetSideSetElementList () const
void | SetSideSetSideList (int *)
| Set or get a pointer to the element side for each side in the side set. More...
int * | GetSideSetSideList () const
void | SetSideSetNumDFPerSide (int *numNodes)
| Set or get a pointer to a list of the number of nodes in each side of each side set. More...
int * | GetSideSetNumDFPerSide () const
void | SetSideSetDistributionFactors (float *)
| Set or get a pointer to a list of all the distribution factors. More...
float * | GetSideSetDistributionFactors () const
int | GetSumDistFactPerSideSet () const
| Get the total number of distribution factors stored for all side sets. More...
int * | GetSideSetListIndex () const
| Get a list of the index of the starting entry for each side set in the list of side set side IDs. More...
int * | GetSideSetDistributionFactorIndex () const
| Get a list of the index of the starting entry for each side set in the list of side set distribution factors. More...
int | GetNumberOfBlockProperties () const
| The number of block properties (global variables) More...
void | SetBlockPropertyNames (int numProp, char **names)
| Set or get the names of the block properties. More...
char ** | GetBlockPropertyNames () const
void | SetBlockPropertyValue (int *)
| Set or get value for each variable for each block. More...
int * | GetBlockPropertyValue () const
int | GetNumberOfNodeSetProperties () const
| The number of node set properties (global variables) More...
void | SetNodeSetPropertyNames (int numProp, char **names)
| Set or get the names of the node setproperties. More...
char ** | GetNodeSetPropertyNames () const
void | SetNodeSetPropertyValue (int *)
| Set or get value for each variable for each node set. More...
int * | GetNodeSetPropertyValue () const
int | GetNumberOfSideSetProperties () const
| The number of side set properties (global variables) More...
void | SetSideSetPropertyNames (int numProp, char **names)
| Set or get the names of the side set properties. More...
char ** | GetSideSetPropertyNames () const
void | SetSideSetPropertyValue (int *)
| Set or get value for each variable for each side set. More...
int * | GetSideSetPropertyValue () const
int | GetNumberOfGlobalVariables () const
| Get the number of global variables per time step. More...
void | SetGlobalVariableNames (int numVarNames, char **n)
| Set or get the names of the global variables. More...
char ** | GetGlobalVariableNames () const
void | SetGlobalVariableValue (float *f)
| Set or get the values of the global variables at the current time step. More...
float * | GetGlobalVariableValue () const
void | SetElementVariableInfo (int numOrigNames, char **origNames, int numNames, char **names, int *numComp, int *map)
| The ModelMetadata maintains a list of the element variables that were in the original file, and a list of the cell variables in the UGrid derived from that file. More...
void | SetNodeVariableInfo (int numOrigNames, char **origNames, int numNames, char **names, int *numComp, int *map)
| The ModelMetadata maintains a list of the node variables that were in the original file, and a list of the node variables in the UGrid derived from that file. More...
void | SetElementVariableTruthTable (int *)
| A truth table indicating which element variables are defined for which blocks. More...
int * | GetElementVariableTruthTable () const
int | GetOriginalNumberOfElementVariables () const
| The ModelMetadata object may contain these lists: o the variables in the original data file o the variables created in the u grid from those original variables o a mapping from the grid variable names to the original names o a list of the number of components each grid variable has. More...
char ** | GetOriginalElementVariableNames () const
int | GetNumberOfElementVariables () const
char ** | GetElementVariableNames () const
int * | GetElementVariableNumberOfComponents () const
int * | GetMapToOriginalElementVariableNames () const
int | GetOriginalNumberOfNodeVariables () const
char ** | GetOriginalNodeVariableNames () const
int | GetNumberOfNodeVariables () const
char ** | GetNodeVariableNames () const
int * | GetNodeVariableNumberOfComponents () const
int * | GetMapToOriginalNodeVariableNames () const
void | Reset ()
| Set the object back to it's initial state. More...
virtual void | SetTitle (const char *)
| The title of the dataset. More...
const char * | GetTitle () const
| The title of the dataset. More...
virtual void | SetTimeStepIndex (int)
| Set the index of the time step represented by the results data in the file attached to this ModelMetadata object. More...
int | GetTimeStepIndex () const
| Set the index of the time step represented by the results data in the file attached to this ModelMetadata object. More...
virtual void | SetNumberOfBlocks (int)
| The number of blocks in the file. More...
int | GetNumberOfBlocks () const
| The number of blocks in the file. More...
virtual void | SetNumberOfNodeSets (int)
| The number of node sets in the file. More...
int | GetNumberOfNodeSets () const
| The number of node sets in the file. More...
virtual void | SetSumNodesPerNodeSet (int)
| Get the total number of nodes in all node sets. More...
int | GetSumNodesPerNodeSet () const
| Get the total number of nodes in all node sets. More...
virtual void | SetNumberOfSideSets (int)
| Set or get the number of side sets. More...
int | GetNumberOfSideSets () const
| Set or get the number of side sets. More...
virtual void | SetSumSidesPerSideSet (int)
| Get the total number of sides in all side sets. More...
int | GetSumSidesPerSideSet () const
| Get the total number of sides in all side sets. More...
virtual void | SetAllVariablesDefinedInAllBlocks (vtkTypeBool)
| Instead of a truth table of all "1"s, you can set this instance variable to indicate that all variables are defined in all blocks. More...
virtual void | AllVariablesDefinedInAllBlocksOn ()
| Instead of a truth table of all "1"s, you can set this instance variable to indicate that all variables are defined in all blocks. More...
virtual void | AllVariablesDefinedInAllBlocksOff ()
| Instead of a truth table of all "1"s, you can set this instance variable to indicate that all variables are defined in all blocks. More...
vtkTypeBool | GetAllVariablesDefinedInAllBlocks () const
| Instead of a truth table of all "1"s, you can set this instance variable to indicate that all variables are defined in all blocks. More...
void | FreeAllGlobalData ()
| Free selected portions of the metadata when updating values in the vtkModelMetadata object. More...
void | FreeAllLocalData ()
| Free selected portions of the metadata when updating values in the vtkModelMetadata object. More...
void | FreeBlockDependentData ()
| Free selected portions of the metadata when updating values in the vtkModelMetadata object. More...
void | FreeOriginalElementVariableNames ()
| Free selected portions of the metadata when updating values in the vtkModelMetadata object. More...
void | FreeOriginalNodeVariableNames ()
| Free selected portions of the metadata when updating values in the vtkModelMetadata object. More...
void | FreeUsedElementVariableNames ()
| Free selected portions of the metadata when updating values in the vtkModelMetadata object. More...
void | FreeUsedNodeVariableNames ()
| Free selected portions of the metadata when updating values in the vtkModelMetadata object. More...
void | FreeUsedElementVariables ()
| Free selected portions of the metadata when updating values in the vtkModelMetadata object. More...
void | FreeUsedNodeVariables ()
| Free selected portions of the metadata when updating values in the vtkModelMetadata object. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkModelMetadata * | SafeDownCast (vtkObjectBase *o)
static vtkModelMetadata * | New ()
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkModelMetadata ()
| ~vtkModelMetadata () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

This class encapsulates the metadata that appear in mesh-based file formats but do not appear in vtkUnstructuredGrid.

This class is inspired by the Exodus II file format, but because this class does not depend on the Exodus library, it should be possible to use it to represent metadata for other dataset file formats. Sandia Labs uses it in their Exodus II reader, their Exodus II writer and their EnSight writer. vtkDistributedDataFilter looks for metadata attached to it's input and redistributes the metadata with the grid.

The fields in this class are those described in the document "EXODUS II: A Finite Element Data Model", SAND92-2137, November 1995.

Element and node IDs stored in this object must be global IDs, in the event that the original dataset was partitioned across many files.

One way to initialize this object is by using vtkExodusModel (a Sandia class used by the Sandia Exodus reader). That class will take an open Exodus II file and a vtkUnstructuredGrid drawn from it and will set the required fields.

Alternatively, you can use all the Set* methods to set the individual fields. This class does not copy the data, it simply uses your pointer. This class will free the storage associated with your pointer when the class is deleted. Most fields have sensible defaults. The only requirement is that if you are using this ModelMetadata to write out an Exodus or EnSight file in parallel, you must SetBlockIds and SetBlockIdArrayName. Your vtkUnstructuredGrid must have a cell array giving the block ID for each cell.

Warning
  The Exodus II library supports an optimized element order map (section 3.7 in the SAND document). It contains all the element IDs, listed in the order in which a solver should process them. We don't include this, and won't unless there is a request.
  There is an assumption in some classes that the name of the cell array containing global element ids is "GlobalElementId" and the name of the point array containing global node ids is "GlobalNodeId". (element == cell) and (node == point).

See also
  vtkDistributedDataFilter vtkExtractCells

Definition at line 75 of file vtkModelMetadata.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkModelMetadata::Superclass

Definition at line 78 of file vtkModelMetadata.h.

## Constructor & Destructor Documentation

## ◆ vtkModelMetadata()

vtkModelMetadata::vtkModelMetadata | ( |  | ) |
| protected

## ◆ ~vtkModelMetadata()

vtkModelMetadata::~vtkModelMetadata | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkModelMetadata::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkModelMetadata::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkModelMetadata* vtkModelMetadata::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkModelMetadata::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkModelMetadata* vtkModelMetadata::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkModelMetadata::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ New()

static vtkModelMetadata* vtkModelMetadata::New | ( |  | ) |
| static

## ◆ PrintGlobalInformation()

virtual void vtkModelMetadata::PrintGlobalInformation | ( |  | ) |
| virtual

The global fields are those which pertain to the whole file.

Examples are the title, information lines, and list of block IDs. This method prints out all the global information.

## ◆ PrintLocalInformation()

virtual void vtkModelMetadata::PrintLocalInformation | ( |  | ) |
| virtual

The local fields are those which depend on exactly which blocks, which time step, and which variables you read in from the file.

Examples are the number of cells in each block, and the list of nodes in a node set, or the value of the global variables at a time step. If VERBOSE_TESTING is defined in your execution environment, this method will print more than mere counts, and actually print a few of the IDs, distribution factors and so on. If VERY_VERBOSE_TESTING is defined, it will print out all ID lists, distribution factor lists, and so on.

## ◆ SetTitle()

virtual void vtkModelMetadata::SetTitle | ( | const char * |  | ) |
| virtual

The title of the dataset.

## ◆ GetTitle()

const char* vtkModelMetadata::GetTitle | ( |  | ) | const
| inline

The title of the dataset.

Definition at line 111 of file vtkModelMetadata.h.

## ◆ SetInformationLines()

void vtkModelMetadata::SetInformationLines | ( | int | numLines,
|  | char ** | lines
| ) |  |

Set the information lines.

## ◆ GetInformationLines()

int vtkModelMetadata::GetInformationLines | ( | char *** | lines | ) | const

Get a pointer to all the information lines.

The number of lines is returned;

## ◆ GetNumberOfInformationLines()

int vtkModelMetadata::GetNumberOfInformationLines | ( |  | ) | const
| inline

Get the number of information lines.

Definition at line 128 of file vtkModelMetadata.h.

## ◆ SetTimeStepIndex()

virtual void vtkModelMetadata::SetTimeStepIndex | ( | int |  | ) |
| virtual

Set the index of the time step represented by the results data in the file attached to this ModelMetadata object.

Time step indices start at 0 in this file, they start at 1 in an Exodus file.

## ◆ GetTimeStepIndex()

int vtkModelMetadata::GetTimeStepIndex | ( |  | ) | const
| inline

Set the index of the time step represented by the results data in the file attached to this ModelMetadata object.

Time step indices start at 0 in this file, they start at 1 in an Exodus file.

Definition at line 138 of file vtkModelMetadata.h.

## ◆ SetTimeSteps()

void vtkModelMetadata::SetTimeSteps | ( | int | numberOfTimeSteps,
|  | float * | timeStepValues
| ) |  |

Set the total number of time steps in the file, and the value at each time step.

We use your time step value array and delete it when we're done.

## ◆ GetNumberOfTimeSteps()

int vtkModelMetadata::GetNumberOfTimeSteps | ( |  | ) | const
| inline

Definition at line 147 of file vtkModelMetadata.h.

## ◆ GetTimeStepValues()

float* vtkModelMetadata::GetTimeStepValues | ( |  | ) | const
| inline

Get the time step values.

Definition at line 152 of file vtkModelMetadata.h.

## ◆ SetCoordinateNames()

void vtkModelMetadata::SetCoordinateNames | ( | int | dimension,
|  | char ** |
| ) |  |

The name of the one, two or three coordinate dimensions.

## ◆ GetCoordinateNames()

char** vtkModelMetadata::GetCoordinateNames | ( |  | ) | const
| inline

Definition at line 158 of file vtkModelMetadata.h.

## ◆ GetDimension()

int vtkModelMetadata::GetDimension | ( |  | ) | const
| inline

Get the dimension of the model.

This is also the number of coordinate names.

Definition at line 164 of file vtkModelMetadata.h.

## ◆ SetNumberOfBlocks()

virtual void vtkModelMetadata::SetNumberOfBlocks | ( | int |  | ) |
| virtual

The number of blocks in the file.

Set this before setting any of the block arrays.

## ◆ GetNumberOfBlocks()

int vtkModelMetadata::GetNumberOfBlocks | ( |  | ) | const
| inline

The number of blocks in the file.

Set this before setting any of the block arrays.

Definition at line 172 of file vtkModelMetadata.h.

## ◆ SetBlockIds()

void vtkModelMetadata::SetBlockIds | ( | int * |  | ) |

An arbitrary integer ID for each block.

We use your pointer, and free the memory when the object is freed.

## ◆ GetBlockIds()

int* vtkModelMetadata::GetBlockIds | ( |  | ) | const
| inline

Definition at line 180 of file vtkModelMetadata.h.

## ◆ SetBlockElementType()

void vtkModelMetadata::SetBlockElementType | ( | char ** |  | ) |

Element type for each block - a name that means something to person who created the file.

We use your pointers, and free the memory when the object is freed.

## ◆ GetBlockElementType()

char** vtkModelMetadata::GetBlockElementType | ( |  | ) | const
| inline

Definition at line 188 of file vtkModelMetadata.h.

## ◆ SetBlockNumberOfElements()

int vtkModelMetadata::SetBlockNumberOfElements | ( | int * | nelts | ) |

Set or get a pointer to a list of the number of elements in each block.

We use your pointers, and free the memory when the object is freed.

## ◆ GetBlockNumberOfElements()

int* vtkModelMetadata::GetBlockNumberOfElements | ( |  | ) | const
| inline

Definition at line 196 of file vtkModelMetadata.h.

## ◆ SetBlockNodesPerElement()

void vtkModelMetadata::SetBlockNodesPerElement | ( | int * |  | ) |

Set or get a pointer to a list of the number of nodes in the elements of each block.

We use your pointers, and free the memory when the object is freed.

## ◆ GetBlockNodesPerElement()

int* vtkModelMetadata::GetBlockNodesPerElement | ( |  | ) | const
| inline

Definition at line 204 of file vtkModelMetadata.h.

## ◆ SetBlockElementIdList()

void vtkModelMetadata::SetBlockElementIdList | ( | int * |  | ) |

Set or get a pointer to a list global element IDs for the elements in each block.

We use your pointers, and free the memory when the object is freed.

## ◆ GetBlockElementIdList()

int* vtkModelMetadata::GetBlockElementIdList | ( |  | ) | const
| inline

Definition at line 212 of file vtkModelMetadata.h.

## ◆ GetSumElementsPerBlock()

int vtkModelMetadata::GetSumElementsPerBlock | ( |  | ) | const
| inline

Get the length of the list of elements in every block.

Definition at line 217 of file vtkModelMetadata.h.

## ◆ GetBlockElementIdListIndex()

int* vtkModelMetadata::GetBlockElementIdListIndex | ( |  | ) | const
| inline

Get a list of the index into the BlockElementIdList of the start of each block's elements.

Definition at line 223 of file vtkModelMetadata.h.

## ◆ SetBlockNumberOfAttributesPerElement()

int vtkModelMetadata::SetBlockNumberOfAttributesPerElement | ( | int * | natts | ) |

Set or get a pointer to a list of the number of attributes stored for the elements in each block.

We use your pointers, and free the memory when the object is freed.

## ◆ GetBlockNumberOfAttributesPerElement()

int* vtkModelMetadata::GetBlockNumberOfAttributesPerElement | ( |  | ) | const
| inline

Definition at line 231 of file vtkModelMetadata.h.

## ◆ SetBlockAttributes()

void vtkModelMetadata::SetBlockAttributes | ( | float * |  | ) |

Set or get a pointer to a list of the attributes for all blocks.

The order of the list should be by block, by element within the block, by attribute. Omit blocks that don't have element attributes.

## ◆ GetBlockAttributes()

float* vtkModelMetadata::GetBlockAttributes | ( |  | ) | const
| inline

Definition at line 243 of file vtkModelMetadata.h.

## ◆ GetSizeBlockAttributeArray()

int vtkModelMetadata::GetSizeBlockAttributeArray | ( |  | ) | const
| inline

Get the length of the list of floating point block attributes.

Definition at line 248 of file vtkModelMetadata.h.

## ◆ GetBlockAttributesIndex()

int* vtkModelMetadata::GetBlockAttributesIndex | ( |  | ) | const
| inline

Get a list of the index into the BlockAttributes of the start of each block's element attribute list.

Definition at line 254 of file vtkModelMetadata.h.

## ◆ SetNumberOfNodeSets()

virtual void vtkModelMetadata::SetNumberOfNodeSets | ( | int |  | ) |
| virtual

The number of node sets in the file.

Set this value before setting the various node set arrays.

## ◆ GetNumberOfNodeSets()

int vtkModelMetadata::GetNumberOfNodeSets | ( |  | ) | const
| inline

The number of node sets in the file.

Set this value before setting the various node set arrays.

Definition at line 262 of file vtkModelMetadata.h.

## ◆ SetNodeSetNames()

void vtkModelMetadata::SetNodeSetNames | ( | vtkStringArray * | names | ) |
| inline

Definition at line 265 of file vtkModelMetadata.h.

## ◆ GetNodeSetNames()

vtkStringArray* vtkModelMetadata::GetNodeSetNames | ( |  | ) | const
| inline

Definition at line 266 of file vtkModelMetadata.h.

## ◆ SetNodeSetIds()

void vtkModelMetadata::SetNodeSetIds | ( | int * |  | ) |

Set or get the list the IDs for each node set.

Length of list is the number of node sets. We use your pointer, and free the memory when the object is freed.

## ◆ GetNodeSetIds()

int* vtkModelMetadata::GetNodeSetIds | ( |  | ) | const
| inline

Definition at line 274 of file vtkModelMetadata.h.

## ◆ SetNodeSetSize()

void vtkModelMetadata::SetNodeSetSize | ( | int * |  | ) |

Set or get a pointer to a list of the number of nodes in each node set.

We use your pointer, and free the memory when the object is freed.

## ◆ GetNodeSetSize()

int* vtkModelMetadata::GetNodeSetSize | ( |  | ) | const
| inline

Definition at line 281 of file vtkModelMetadata.h.

## ◆ SetNodeSetNodeIdList()

void vtkModelMetadata::SetNodeSetNodeIdList | ( | int * |  | ) |

Set or get a pointer to a concatenated list of the IDs of all nodes in each node set.

First list all IDs in node set 0, then all IDs in node set 1, and so on. We use your pointer, and free the memory when the object is freed.

## ◆ GetNodeSetNodeIdList()

int* vtkModelMetadata::GetNodeSetNodeIdList | ( |  | ) | const
| inline

Definition at line 290 of file vtkModelMetadata.h.

## ◆ SetNodeSetNumberOfDistributionFactors()

void vtkModelMetadata::SetNodeSetNumberOfDistributionFactors | ( | int * |  | ) |

Set or get a list of the number of distribution factors stored by each node set.

This is either 0 or equal to the number of nodes in the node set. Length of list is number of node sets. We use your pointer, and free the memory when the object is freed.

## ◆ GetNodeSetNumberOfDistributionFactors()

int* vtkModelMetadata::GetNodeSetNumberOfDistributionFactors | ( |  | ) | const
| inline

Definition at line 300 of file vtkModelMetadata.h.

## ◆ SetNodeSetDistributionFactors()

void vtkModelMetadata::SetNodeSetDistributionFactors | ( | float * |  | ) |

Set or get a list of the distribution factors for the node sets.

The list is organized by node set, and within node set by node. We use your pointer, and free the memory when the object is freed.

## ◆ GetNodeSetDistributionFactors()

float* vtkModelMetadata::GetNodeSetDistributionFactors | ( |  | ) | const
| inline

Definition at line 311 of file vtkModelMetadata.h.

## ◆ SetSumNodesPerNodeSet()

virtual void vtkModelMetadata::SetSumNodesPerNodeSet | ( | int |  | ) |
| virtual

Get the total number of nodes in all node sets.

## ◆ GetSumNodesPerNodeSet()

int vtkModelMetadata::GetSumNodesPerNodeSet | ( |  | ) | const
| inline

Get the total number of nodes in all node sets.

Definition at line 318 of file vtkModelMetadata.h.

## ◆ GetSumDistFactPerNodeSet()

int vtkModelMetadata::GetSumDistFactPerNodeSet | ( |  | ) | const
| inline

Get the total number of distribution factors stored for all node sets.

Definition at line 324 of file vtkModelMetadata.h.

## ◆ GetNodeSetNodeIdListIndex()

int* vtkModelMetadata::GetNodeSetNodeIdListIndex | ( |  | ) | const
| inline

Get a list of the index of the starting entry for each node set in the list of node set node IDs.

Definition at line 330 of file vtkModelMetadata.h.

## ◆ GetNodeSetDistributionFactorIndex()

int* vtkModelMetadata::GetNodeSetDistributionFactorIndex | ( |  | ) | const
| inline

Get a list of the index of the starting entry for each node set in the list of node set distribution factors.

Definition at line 336 of file vtkModelMetadata.h.

## ◆ SetNumberOfSideSets()

virtual void vtkModelMetadata::SetNumberOfSideSets | ( | int |  | ) |
| virtual

Set or get the number of side sets.

Set this value before setting any of the other side set arrays.

## ◆ GetNumberOfSideSets()

int vtkModelMetadata::GetNumberOfSideSets | ( |  | ) | const
| inline

Set or get the number of side sets.

Set this value before setting any of the other side set arrays.

Definition at line 344 of file vtkModelMetadata.h.

## ◆ SetSideSetNames()

void vtkModelMetadata::SetSideSetNames | ( | vtkStringArray * | names | ) |
| inline

Definition at line 347 of file vtkModelMetadata.h.

## ◆ GetSideSetNames()

vtkStringArray* vtkModelMetadata::GetSideSetNames | ( |  | ) | const
| inline

Definition at line 348 of file vtkModelMetadata.h.

## ◆ SetSideSetIds()

void vtkModelMetadata::SetSideSetIds | ( | int * |  | ) |

Set or get a pointer to a list giving the ID of each side set.

We use your pointer, and free the memory when the object is freed.

## ◆ GetSideSetIds()

int* vtkModelMetadata::GetSideSetIds | ( |  | ) | const
| inline

Definition at line 355 of file vtkModelMetadata.h.

## ◆ SetSideSetSize()

int vtkModelMetadata::SetSideSetSize | ( | int * | sizes | ) |

Set or get a pointer to a list of the number of sides in each side set.

We use your pointer, and free the memory when the object is freed.

## ◆ GetSideSetSize()

int* vtkModelMetadata::GetSideSetSize | ( |  | ) | const
| inline

Definition at line 362 of file vtkModelMetadata.h.

## ◆ SetSideSetNumberOfDistributionFactors()

int vtkModelMetadata::SetSideSetNumberOfDistributionFactors | ( | int * | df | ) |

Set or get a pointer to a list of the number of distribution factors stored by each side set.

Each side set has either no distribution factors, or 1 per node in the side set. We use your pointer, and free the memory when the object is freed.

## ◆ GetSideSetNumberOfDistributionFactors()

int* vtkModelMetadata::GetSideSetNumberOfDistributionFactors | ( |  | ) | const
| inline

Definition at line 371 of file vtkModelMetadata.h.

## ◆ SetSideSetElementList()

void vtkModelMetadata::SetSideSetElementList | ( | int * |  | ) |

Set or get a pointer to a list of the elements containing each side in each side set.

The list is organized by side set, and within side set by element. We use your pointer, and free the memory when the object is freed.

## ◆ GetSideSetElementList()

int* vtkModelMetadata::GetSideSetElementList | ( |  | ) | const
| inline

Definition at line 383 of file vtkModelMetadata.h.

## ◆ SetSideSetSideList()

void vtkModelMetadata::SetSideSetSideList | ( | int * |  | ) |

Set or get a pointer to the element side for each side in the side set.

(See the manual for the convention for numbering sides in different types of cells.) Side Ids are arranged by side set and within side set by side, and correspond to the SideSetElementList. We use your pointer, and free the memory when the object is freed.

## ◆ GetSideSetSideList()

int* vtkModelMetadata::GetSideSetSideList | ( |  | ) | const
| inline

Definition at line 393 of file vtkModelMetadata.h.

## ◆ SetSideSetNumDFPerSide()

void vtkModelMetadata::SetSideSetNumDFPerSide | ( | int * | numNodes | ) |

Set or get a pointer to a list of the number of nodes in each side of each side set.

This list is organized by side set, and within side set by side. We use your pointer, and free the memory when the object is freed.

## ◆ GetSideSetNumDFPerSide()

int* vtkModelMetadata::GetSideSetNumDFPerSide | ( |  | ) | const
| inline

Definition at line 402 of file vtkModelMetadata.h.

## ◆ SetSideSetDistributionFactors()

void vtkModelMetadata::SetSideSetDistributionFactors | ( | float * |  | ) |

Set or get a pointer to a list of all the distribution factors.

For every side set that has distribution factors, the number of factors per node was given in the SideSetNumberOfDistributionFactors array. If this number for a given side set is N, then for that side set we have N floating point values for each node for each side in the side set. If nodes are repeated in more than one side, we repeat the distribution factors. So this list is in order by side set, by node. We use your pointer, and free the memory when the object is freed.

## ◆ GetSideSetDistributionFactors()

float* vtkModelMetadata::GetSideSetDistributionFactors | ( |  | ) | const
| inline

Definition at line 416 of file vtkModelMetadata.h.

## ◆ SetSumSidesPerSideSet()

virtual void vtkModelMetadata::SetSumSidesPerSideSet | ( | int |  | ) |
| virtual

Get the total number of sides in all side sets.

## ◆ GetSumSidesPerSideSet()

int vtkModelMetadata::GetSumSidesPerSideSet | ( |  | ) | const
| inline

Get the total number of sides in all side sets.

Definition at line 423 of file vtkModelMetadata.h.

## ◆ GetSumDistFactPerSideSet()

int vtkModelMetadata::GetSumDistFactPerSideSet | ( |  | ) | const
| inline

Get the total number of distribution factors stored for all side sets.

Definition at line 429 of file vtkModelMetadata.h.

## ◆ GetSideSetListIndex()

int* vtkModelMetadata::GetSideSetListIndex | ( |  | ) | const
| inline

Get a list of the index of the starting entry for each side set in the list of side set side IDs.

Definition at line 435 of file vtkModelMetadata.h.

## ◆ GetSideSetDistributionFactorIndex()

int* vtkModelMetadata::GetSideSetDistributionFactorIndex | ( |  | ) | const
| inline

Get a list of the index of the starting entry for each side set in the list of side set distribution factors.

Definition at line 441 of file vtkModelMetadata.h.

## ◆ GetNumberOfBlockProperties()

int vtkModelMetadata::GetNumberOfBlockProperties | ( |  | ) | const
| inline

The number of block properties (global variables)

Definition at line 446 of file vtkModelMetadata.h.

## ◆ SetBlockPropertyNames()

void vtkModelMetadata::SetBlockPropertyNames | ( | int | numProp,
|  | char ** | names
| ) |  |

Set or get the names of the block properties.

## ◆ GetBlockPropertyNames()

char** vtkModelMetadata::GetBlockPropertyNames | ( |  | ) | const
| inline

Definition at line 452 of file vtkModelMetadata.h.

## ◆ SetBlockPropertyValue()

void vtkModelMetadata::SetBlockPropertyValue | ( | int * |  | ) |

Set or get value for each variable for each block.

List the integer values in order by variable and within variable by block.

## ◆ GetBlockPropertyValue()

int* vtkModelMetadata::GetBlockPropertyValue | ( |  | ) | const
| inline

Definition at line 460 of file vtkModelMetadata.h.

## ◆ GetNumberOfNodeSetProperties()

int vtkModelMetadata::GetNumberOfNodeSetProperties | ( |  | ) | const
| inline

The number of node set properties (global variables)

Definition at line 465 of file vtkModelMetadata.h.

## ◆ SetNodeSetPropertyNames()

void vtkModelMetadata::SetNodeSetPropertyNames | ( | int | numProp,
|  | char ** | names
| ) |  |

Set or get the names of the node setproperties.

## ◆ GetNodeSetPropertyNames()

char** vtkModelMetadata::GetNodeSetPropertyNames | ( |  | ) | const
| inline

Definition at line 471 of file vtkModelMetadata.h.

## ◆ SetNodeSetPropertyValue()

void vtkModelMetadata::SetNodeSetPropertyValue | ( | int * |  | ) |

Set or get value for each variable for each node set.

List the integer values in order by variable and within variable by node set.

## ◆ GetNodeSetPropertyValue()

int* vtkModelMetadata::GetNodeSetPropertyValue | ( |  | ) | const
| inline

Definition at line 479 of file vtkModelMetadata.h.

## ◆ GetNumberOfSideSetProperties()

int vtkModelMetadata::GetNumberOfSideSetProperties | ( |  | ) | const
| inline

The number of side set properties (global variables)

Definition at line 484 of file vtkModelMetadata.h.

## ◆ SetSideSetPropertyNames()

void vtkModelMetadata::SetSideSetPropertyNames | ( | int | numProp,
|  | char ** | names
| ) |  |

Set or get the names of the side set properties.

## ◆ GetSideSetPropertyNames()

char** vtkModelMetadata::GetSideSetPropertyNames | ( |  | ) | const
| inline

Definition at line 490 of file vtkModelMetadata.h.

## ◆ SetSideSetPropertyValue()

void vtkModelMetadata::SetSideSetPropertyValue | ( | int * |  | ) |

Set or get value for each variable for each side set.

List the integer values in order by variable and within variable by side set.

## ◆ GetSideSetPropertyValue()

int* vtkModelMetadata::GetSideSetPropertyValue | ( |  | ) | const
| inline

Definition at line 498 of file vtkModelMetadata.h.

## ◆ GetNumberOfGlobalVariables()

int vtkModelMetadata::GetNumberOfGlobalVariables | ( |  | ) | const
| inline

Get the number of global variables per time step.

Definition at line 503 of file vtkModelMetadata.h.

## ◆ SetGlobalVariableNames()

void vtkModelMetadata::SetGlobalVariableNames | ( | int | numVarNames,
|  | char ** | n
| ) |  |

Set or get the names of the global variables.

## ◆ GetGlobalVariableNames()

char** vtkModelMetadata::GetGlobalVariableNames | ( |  | ) | const
| inline

Definition at line 509 of file vtkModelMetadata.h.

## ◆ SetGlobalVariableValue()

void vtkModelMetadata::SetGlobalVariableValue | ( | float * | f | ) |

Set or get the values of the global variables at the current time step.

## ◆ GetGlobalVariableValue()

float* vtkModelMetadata::GetGlobalVariableValue | ( |  | ) | const
| inline

Definition at line 516 of file vtkModelMetadata.h.

## ◆ SetElementVariableInfo()

void vtkModelMetadata::SetElementVariableInfo | ( | int | numOrigNames,
|  | char ** | origNames,
|  | int | numNames,
|  | char ** | names,
|  | int * | numComp,
|  | int * | map
| ) |  |

The ModelMetadata maintains a list of the element variables that were in the original file, and a list of the cell variables in the UGrid derived from that file.

Some of the scalar variables in the original file were combined into vectors in the UGrid. In this method, provide the number of original element variables, the names of the original element variables, the number of element variables in the UGrid, the number of components for each of those variables, and a map from each UGrid variable to the the variable in the list of original names that represents it's first component.

## ◆ SetNodeVariableInfo()

void vtkModelMetadata::SetNodeVariableInfo | ( | int | numOrigNames,
|  | char ** | origNames,
|  | int | numNames,
|  | char ** | names,
|  | int * | numComp,
|  | int * | map
| ) |  |

The ModelMetadata maintains a list of the node variables that were in the original file, and a list of the node variables in the UGrid derived from that file.

Some of the scalar variables in the original file were combined into vectors in the UGrid. In this method, provide the number of original node variables, the names of the original node variables, the number of node variables in the UGrid, the number of components for each of those variables, and a map from each UGrid variable to the the variable in the list of original names that represents it's first component.

## ◆ SetElementVariableTruthTable()

void vtkModelMetadata::SetElementVariableTruthTable | ( | int * |  | ) |

A truth table indicating which element variables are defined for which blocks.

The variables are all the original element variables that were in the file. The table is by block ID and within block ID by variable.

## ◆ GetElementVariableTruthTable()

int* vtkModelMetadata::GetElementVariableTruthTable | ( |  | ) | const
| inline

Definition at line 555 of file vtkModelMetadata.h.

## ◆ SetAllVariablesDefinedInAllBlocks()

virtual void vtkModelMetadata::SetAllVariablesDefinedInAllBlocks | ( | vtkTypeBool |  | ) |
| virtual

Instead of a truth table of all "1"s, you can set this instance variable to indicate that all variables are defined in all blocks.

## ◆ AllVariablesDefinedInAllBlocksOn()

virtual void vtkModelMetadata::AllVariablesDefinedInAllBlocksOn | ( |  | ) |
| virtual

Instead of a truth table of all "1"s, you can set this instance variable to indicate that all variables are defined in all blocks.

## ◆ AllVariablesDefinedInAllBlocksOff()

virtual void vtkModelMetadata::AllVariablesDefinedInAllBlocksOff | ( |  | ) |
| virtual

Instead of a truth table of all "1"s, you can set this instance variable to indicate that all variables are defined in all blocks.

## ◆ GetAllVariablesDefinedInAllBlocks()

vtkTypeBool vtkModelMetadata::GetAllVariablesDefinedInAllBlocks | ( |  | ) | const
| inline

Instead of a truth table of all "1"s, you can set this instance variable to indicate that all variables are defined in all blocks.

Definition at line 565 of file vtkModelMetadata.h.

## ◆ GetOriginalNumberOfElementVariables()

int vtkModelMetadata::GetOriginalNumberOfElementVariables | ( |  | ) | const
| inline

The ModelMetadata object may contain these lists: o the variables in the original data file o the variables created in the u grid from those original variables o a mapping from the grid variable names to the original names o a list of the number of components each grid variable has.

(Example: Variables in Exodus II files are all scalars. Some are combined by the ExodusReader into vector variables in the grid.)

These methods return names of the original variables, the names of the grid variables, a list of the number of components in each grid variable, and a list of the index into the list of original variable names where the original name of the first component of a grid variable may be found. The names of subsequent components would immediately follow the name of the first component.

Definition at line 589 of file vtkModelMetadata.h.

## ◆ GetOriginalElementVariableNames()

char** vtkModelMetadata::GetOriginalElementVariableNames | ( |  | ) | const
| inline

Definition at line 590 of file vtkModelMetadata.h.

## ◆ GetNumberOfElementVariables()

int vtkModelMetadata::GetNumberOfElementVariables | ( |  | ) | const
| inline

Definition at line 591 of file vtkModelMetadata.h.

## ◆ GetElementVariableNames()

char** vtkModelMetadata::GetElementVariableNames | ( |  | ) | const
| inline

Definition at line 592 of file vtkModelMetadata.h.

## ◆ GetElementVariableNumberOfComponents()

int* vtkModelMetadata::GetElementVariableNumberOfComponents | ( |  | ) | const
| inline

Definition at line 593 of file vtkModelMetadata.h.

## ◆ GetMapToOriginalElementVariableNames()

int* vtkModelMetadata::GetMapToOriginalElementVariableNames | ( |  | ) | const
| inline

Definition at line 597 of file vtkModelMetadata.h.

## ◆ GetOriginalNumberOfNodeVariables()

int vtkModelMetadata::GetOriginalNumberOfNodeVariables | ( |  | ) | const
| inline

Definition at line 602 of file vtkModelMetadata.h.

## ◆ GetOriginalNodeVariableNames()

char** vtkModelMetadata::GetOriginalNodeVariableNames | ( |  | ) | const
| inline

Definition at line 603 of file vtkModelMetadata.h.

## ◆ GetNumberOfNodeVariables()

int vtkModelMetadata::GetNumberOfNodeVariables | ( |  | ) | const
| inline

Definition at line 604 of file vtkModelMetadata.h.

## ◆ GetNodeVariableNames()

char** vtkModelMetadata::GetNodeVariableNames | ( |  | ) | const
| inline

Definition at line 605 of file vtkModelMetadata.h.

## ◆ GetNodeVariableNumberOfComponents()

int* vtkModelMetadata::GetNodeVariableNumberOfComponents | ( |  | ) | const
| inline

Definition at line 606 of file vtkModelMetadata.h.

## ◆ GetMapToOriginalNodeVariableNames()

int* vtkModelMetadata::GetMapToOriginalNodeVariableNames | ( |  | ) | const
| inline

Definition at line 607 of file vtkModelMetadata.h.

## ◆ FreeAllGlobalData()

void vtkModelMetadata::FreeAllGlobalData | ( |  | ) |

Free selected portions of the metadata when updating values in the vtkModelMetadata object.

Resetting a particular field, (i.e. SetNodeSetIds) frees the previous setting, but if you are not setting every field, you may want to do a wholesale "Free" first.

FreeAllGlobalData frees all the fields which don't depend on which time step, which blocks, or which variables are in the input. FreeAllLocalData frees all the fields which do depend on which time step, blocks or variables are in the input. FreeBlockDependentData frees all metadata fields which depend on which blocks were read in.

## ◆ FreeAllLocalData()

void vtkModelMetadata::FreeAllLocalData | ( |  | ) |

Free selected portions of the metadata when updating values in the vtkModelMetadata object.

Resetting a particular field, (i.e. SetNodeSetIds) frees the previous setting, but if you are not setting every field, you may want to do a wholesale "Free" first.

FreeAllGlobalData frees all the fields which don't depend on which time step, which blocks, or which variables are in the input. FreeAllLocalData frees all the fields which do depend on which time step, blocks or variables are in the input. FreeBlockDependentData frees all metadata fields which depend on which blocks were read in.

## ◆ FreeBlockDependentData()

void vtkModelMetadata::FreeBlockDependentData | ( |  | ) |

Free selected portions of the metadata when updating values in the vtkModelMetadata object.

Resetting a particular field, (i.e. SetNodeSetIds) frees the previous setting, but if you are not setting every field, you may want to do a wholesale "Free" first.

FreeAllGlobalData frees all the fields which don't depend on which time step, which blocks, or which variables are in the input. FreeAllLocalData frees all the fields which do depend on which time step, blocks or variables are in the input. FreeBlockDependentData frees all metadata fields which depend on which blocks were read in.

## ◆ FreeOriginalElementVariableNames()

void vtkModelMetadata::FreeOriginalElementVariableNames | ( |  | ) |

Free selected portions of the metadata when updating values in the vtkModelMetadata object.

Resetting a particular field, (i.e. SetNodeSetIds) frees the previous setting, but if you are not setting every field, you may want to do a wholesale "Free" first.

FreeAllGlobalData frees all the fields which don't depend on which time step, which blocks, or which variables are in the input. FreeAllLocalData frees all the fields which do depend on which time step, blocks or variables are in the input. FreeBlockDependentData frees all metadata fields which depend on which blocks were read in.

## ◆ FreeOriginalNodeVariableNames()

void vtkModelMetadata::FreeOriginalNodeVariableNames | ( |  | ) |

Free selected portions of the metadata when updating values in the vtkModelMetadata object.

Resetting a particular field, (i.e. SetNodeSetIds) frees the previous setting, but if you are not setting every field, you may want to do a wholesale "Free" first.

FreeAllGlobalData frees all the fields which don't depend on which time step, which blocks, or which variables are in the input. FreeAllLocalData frees all the fields which do depend on which time step, blocks or variables are in the input. FreeBlockDependentData frees all metadata fields which depend on which blocks were read in.

## ◆ FreeUsedElementVariableNames()

void vtkModelMetadata::FreeUsedElementVariableNames | ( |  | ) |

Free selected portions of the metadata when updating values in the vtkModelMetadata object.

Resetting a particular field, (i.e. SetNodeSetIds) frees the previous setting, but if you are not setting every field, you may want to do a wholesale "Free" first.

FreeAllGlobalData frees all the fields which don't depend on which time step, which blocks, or which variables are in the input. FreeAllLocalData frees all the fields which do depend on which time step, blocks or variables are in the input. FreeBlockDependentData frees all metadata fields which depend on which blocks were read in.

## ◆ FreeUsedNodeVariableNames()

void vtkModelMetadata::FreeUsedNodeVariableNames | ( |  | ) |

Free selected portions of the metadata when updating values in the vtkModelMetadata object.

Resetting a particular field, (i.e. SetNodeSetIds) frees the previous setting, but if you are not setting every field, you may want to do a wholesale "Free" first.

FreeAllGlobalData frees all the fields which don't depend on which time step, which blocks, or which variables are in the input. FreeAllLocalData frees all the fields which do depend on which time step, blocks or variables are in the input. FreeBlockDependentData frees all metadata fields which depend on which blocks were read in.

## ◆ FreeUsedElementVariables()

void vtkModelMetadata::FreeUsedElementVariables | ( |  | ) |

Free selected portions of the metadata when updating values in the vtkModelMetadata object.

Resetting a particular field, (i.e. SetNodeSetIds) frees the previous setting, but if you are not setting every field, you may want to do a wholesale "Free" first.

FreeAllGlobalData frees all the fields which don't depend on which time step, which blocks, or which variables are in the input. FreeAllLocalData frees all the fields which do depend on which time step, blocks or variables are in the input. FreeBlockDependentData frees all metadata fields which depend on which blocks were read in.

## ◆ FreeUsedNodeVariables()

void vtkModelMetadata::FreeUsedNodeVariables | ( |  | ) |

Free selected portions of the metadata when updating values in the vtkModelMetadata object.

Resetting a particular field, (i.e. SetNodeSetIds) frees the previous setting, but if you are not setting every field, you may want to do a wholesale "Free" first.

FreeAllGlobalData frees all the fields which don't depend on which time step, which blocks, or which variables are in the input. FreeAllLocalData frees all the fields which do depend on which time step, blocks or variables are in the input. FreeBlockDependentData frees all metadata fields which depend on which blocks were read in.

## ◆ Reset()

void vtkModelMetadata::Reset | ( |  | ) |

Set the object back to it's initial state.

The documentation for this class was generated from the following file:

- IO/Exodus/vtkModelMetadata.h